Create Brand Review Privacy Request Route
curl --request POST \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/review-privacy-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requester_name": "<string>",
"requester_email": "<string>",
"review_url": "<string>",
"reviewer_name": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/review-privacy-requests"
payload = {
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requester_name": "<string>",
"requester_email": "<string>",
"review_url": "<string>",
"reviewer_name": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
review_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
requester_name: '<string>',
requester_email: '<string>',
review_url: '<string>',
reviewer_name: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/review-privacy-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "pending",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_type": "privacy",
"legal_regime": "gdpr",
"applicable_right": "access",
"requires_erasure": true,
"verification_status": "pending",
"received_at": "2023-11-07T05:31:56Z",
"base_deadline_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"extension_deadline_at": "2023-11-07T05:31:56Z",
"final_disposition": "approved_erasure",
"decided_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Reviews
Create Brand Review Privacy Request Route
Record a privacy/deletion request for the owned brand’s review surface.
POST
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
review-privacy-requests
Create Brand Review Privacy Request Route
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
privacy, copyright, staleness Available options:
gdpr, ccpa, other Available options:
access, know, erasure, delete, correct, object, restrict, copyright, staleness Available options:
trustpilot, google Maximum string length:
255Maximum string length:
320Maximum string length:
2048Maximum string length:
255Maximum string length:
4000Response
Successful Response
Available options:
pending, processing, completed Available options:
privacy, copyright, staleness Available options:
gdpr, ccpa, other Available options:
access, know, erasure, delete, correct, object, restrict, copyright, staleness Available options:
pending, verified, rejected Available options:
approved_erasure, denied, limited, no_action Was this page helpful?